/*
 * CARIS oscar - Open Spatial Component ARchitecture
 *
 * Copyright 2012 CARIS <http://www.caris.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * Namespace: oscar.Lang.en
 * Dictionary for English.
 */
OpenLayers.Util.applyDefaults(oscar.Lang.getDictionary("en"), {
	"alertBoxHeader" :"Warning!",

	"confirmBoxHeader" :"Warning!",

	"yesButtonLabel" :"Yes",

	"cancelButtonLabel" :"Cancel",

	"okayButtonLabel" :"Okay",

	"confirmDeleteMessage" :"Are you sure you want to delete this item?",

	"confirmRemoveMessage" :"Are you sure you want to remove this item?",

	"oneChecked" :"At least one item must be checked.",

	"nameColumnLabel" :"Name",

	"statusColumnLabel" :"Status",

	"typeColumnLabel" :"Type",

	"valueColumnLabel" :"Value",

	"resetColumnLabel" :"Reset",

	"modified" :"Modified",

	"default" :"Default",

	"confirmReset" :"Reset value to default?",

	"saveButtonLabel" :"Save",

	"Themes" :"&nbsp;",

	"Basic" :"Basic",

	"Advanced" :"Advanced",

	"ExtractDataDlgHeader" :"Extract Data",

	"Coverages" :"Coverages",

	"Custom" :"Custom",

	"Current View" :"Current View",

	"Features" :"Features",

	"Fields" :"Fields",

	"Format Type" :"Format Type",

	"Layers" :"Layers",

	"Data" :"Data",

	"Download" :"Download",

	"Format" :"Format",

	"Help" :"Help",

	"Close" :"Close",

	"Loading" :"Loading",

	"Capabilities" :"Capabilities",

	"Output" :"Output",

	"Please Wait" :"Please wait ...",

	"Retrieving Features" :"Retrieving Features",

	"Service" :"Service",

	"Title" :"Title",

	"Units" :"Units",

	"english" :"Imperial",

	"metric" :"Metric",

	"geographic" :"Geographic",

	"Area" :"Area",

	"Distance" :"Distance",
	
	"Range" :"Range",
	
	"Point" :"Point",

	"MeasurementToole" :"Measurement Tool",

	"srsCodeColumnLabel" :"Coordinate Reference System",

	"srsDescriptionColumnLabel" :"Description",

	"first" :"&lt;&lt;",

	"last" :"&gt;&gt;",

	"previous" :"&lt;",

	"next" :"&gt;",

	"MapInformationDlgHeader" :"Map Information",

	"servicepanel_info_header" :"Service Information",

	"servicepanel_content_header" :"Service Contents",

	"md_abstract_label" :"Abstract",

	"md_keywords_label" :"Keywords",

	"md_resources_label" :"Resources",

	"md_service_info" :"Service Information",

	"md_service_Info" :"Service Information",

	"md_service_contactInfo" :"Contact Information",

	"md_service_ContactInfo" :"Contact Information",

	"md_contact_caption" :"Contact Information",

	"md_contact_Caption" :"Contact Information",

	"md_contact_providerName" :"Provider Name",

	"md_contact_ProviderName" :"Provider Name",

	"md_contact_providerSite" :"Provider Site",

	"md_contact_ProviderSite" :"Provider Site",

	"md_contact_individualName" :"Individual Name",

	"md_contact_IndividualName" :"Individual Name",

	"md_contact_person" :"Individual Name",

	"md_contact_Person" :"Individual Name",

	"md_contact_organization" :"Organization",

	"md_contact_Organization" :"Organization",

	"md_contact_positionName" :"Position Name",

	"md_contact_PositionName" :"Position Name",
	
	"md_contact_position" :"Position Name",
	
	"md_contact_Position" :"Position Name",

	"md_contact_type" :"Type",

	"md_contact_Type" :"Type",

	"md_contact_address" :"Address",

	"md_contact_Address" :"Address",

	"md_contact_deliveryPoint" :"Address",

	"md_contact_DeliveryPoint" :"Address",

	"md_contact_city" :"City",

	"md_contact_City" :"City",

	"md_contact_stateOrProvince" :"Province/State",

	"md_contact_StateOrProvince" :"Province/State",

	"md_contact_administrativeArea" :"Province/State",

	"md_contact_AdministrativeArea" :"Province/State",

	"md_contact_postcode" :"Zip / Postal Code",

	"md_contact_Postcode" :"Zip / Postal Code",

	"md_contact_postalCode" :"Zip / Postal Code",

	"md_contact_PostalCode" :"Zip / Postal Code",

	"md_contact_country" :"Country",

	"md_contact_Country" :"Country",

	"md_contact_phone" :"Phone",

	"md_contact_Phone" :"Phone",

	"md_contact_voice" :"Phone",

	"md_contact_Voice" :"Phone",

	"md_contact_facsimile" :"Fax",

	"md_contact_Facsimile" :"Fax",

	"md_contact_fax" :"Fax",

	"md_contact_Fax" :"Fax",

	"md_contact_email" :"Email",

	"md_contact_Email" :"Email",

	"md_contact_electronicMailAddress" :"Email",

	"md_contact_ElectronicMailAddress" :"Email",

	"md_contact_info_unavailable" :"Contact information unavailable",

	"md_contact_Info_Unavailable" :"Contact information unavailable",
	
	"md_contact_onlineResource" :"Online Resource",
	
	"md_legend_graphic" : "Legend",

	"md_request_failed" :"Service Unavailable",

	"map.information.url.column.type" :"Type",

	"map.information.url.column.format" :"Format",

	"map.information.url.column.onlineresource" :"Online Resource",

	"map.information.no.records.found" :"No records found.",

	"mict_clearFilter_icon" :"Clear Filter",

	"mict_reset_icon" :"Reset",

	"mict_autocomplete_label" :"Search",

	"mict_checkAll_label" :"Select All",

	"mdec_coverage_type" :"Coverages",

	"mdec_feature_type" :"Feature Types",

	"mdec_data_connections" :"Data Connections",

	"mdec_data_connection_none" :"None",

	"oscar_control_select" :"Select areas of interest.",

	"openlayers_control_navigation" :"Use the SHIFT key for zoom activation.",

	"oscar_control_extractor" :"Download areas of interest.",

	"NoThemesAvailable" :"No Themes Available",
	
	"NotAvailable"	:"Not Available",

	"tooltip_oscar.control.previousview" :"Previous View",

	"tooltip_oscar.control.measure" :"Measurement Tools",

	"tooltip_oscar.control.select" :"Selection Tools",

	"tooltip_oscar.control.dataextractor" :"Data Download Tool",
		
	"MICT_MSG_EMPTY" : "No records found.",

	"MICT_MSG_ERROR" : "Data error.",
	
	"MICT_MSG_LOADING" : "Loading...",
	
	"MICT_MSG_SORTASC" : "Click to sort ascending",
	
	"MICT_MSG_SORTDESC" : "Click to sort descending",
	
	"LayerToggleToolTip" : "Turn layers on or off",
	
	"LayerToggleTitle" : "Layers",
	
	"ThemeSwitcherToolTip" : "Switch between themes",
	
	"ThemeSwitcherTitle" : "Themes",
	
	"SelectionError" : "Selection Error",
	
	"ProcessingInfo" : "Processing ...",
	
	"metadataKeywordLabel" : "Keyword",
	
	"metadataVocabularyLabel" : "Vocabulary",
	
	"DataDiscoverySearchToolTip": "Search for data in the map",
	
	"DataDiscoverySearchTitle" : "Download",
	
	"Search": "Search",
	
	"DownloadOptions" : "Options",
	
	"DownloadQueue" : "Queue",
	
	"Crop" : "Crop",
	
	"AddToQueue": "Queue",
	
	"units:meters": "metres",
	
	"resolution-x": "Resolution x",
	
	"resolution-y": "Resolution y",
	
	"resolutionTooHigh":"The Resolution value is too high, please adjust the value.",
	
	"resolutionTooLow":"The Resolution value is too low, please adjust the value.",
	
	"MoveAllToTheLeft":"Move all items to the left.",
	
	"MoveAllToTheRight":"Move all items to the right.",
	
	"showThemeSwitcher":"Show Theme Switcher"
});